<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		a, a:hover {
			background: transparent;
			border-bottom: 1px dotted #666;
			color: #666;
			text-decoration: none;		
		}

		a:hover {
			border: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>CarbonPHP Documentation</h1>

		<p>These files document the many features of CarbonPHP.</p>
	</div>

	<div class="content">
		<h1>General</h1>

		<p>These pages outline the general information regarding CarbonPHP.</p>
		<ul>
			<li><a href="general/urls.html" title="CarbonPHP URLs">CarbonPHP URLs</a></li>
			<li><a href="general/controllers.html" title="Controllers">Controllers</a></li>
			<li><a href="general/views.html" title="Views">Views</a></li>
			<li><a href="general/models.html" title="Models">Models</a></li>
			<li><a href="general/carbonphp_libraries.html" title="CarbonPHP Libraries">CarbonPHP Libraries</a></li>
			<li><a href="general/creating_libraries.html" title="Creating Your Own Libraries">Creating Your Own Libraries</a></li>
			<li><a href="general/core_libraries" title="Creating Core Libraries">Creating Core Libraries</a></li>
			<li><a href="general/autoloading.html" title="Autoloading">Autoloading</a></li>
			<li><a href="general/scaffolding.html" title="Scaffolding">Scaffolding</a></li>
			<li><a href="general/uri_routing.html" title="URI Routing">URI Routing</a></li>
			<li><a href="general/error_handling.html" title="Error Handling">Error Handling</a></li>
			<li><a href="general/caching.html" title="Caching">Caching</a></li>
			<li><a href="general/profiling.html" title="Caching">Profiling Your Web Application</a></li>
			<li><a href="general/security.html" title="Security">Security</a></li>
		</ul>
	</div>

	<div class="content">
		<h1>Libraries</h1>

		<p>These pages outline the information regarding the many CarbonPHP libraries.</p>

		<ul>
			<li><a href="libraries/benchmark.html" title="Benchmark">Benchmark</a></li>
			<li><a href="libraries/config.html" title="Config">Config</a></li>
			<li><a href="libraries/input.html" title="Input">Input</a></li>
			<li><a href="libraries/language.html" title="Language">Language</a></li>
			<li><a href="libraries/loader.html" title="Loader">Loader</a></li>
			<li><a href="libraries/output.html" title="Output">Output</a></li>
			<li><a href="libraries/pagination.html" title="Pagination">Pagination</a></li>
			<li><a href="libraries/table.html" title="Table">Table</a></li>
			<li><a href="libraries/parser.html" title="Template Parser">Template Parser</a></li>
			<li><a href="libraries/unit_test.html" title="Unit Testing">Unit Testing</a></li>
			<li><a href="libraries/uri.html" title="URI">URI</a></li>
			<li><a href="libraries/zip.html" title="Zip">Zip</a></li>
		</ul>
	</div>

	<div class="content">
		<h1>Database Library</h1>

		<p>These pages outline the information needed to use the database classes.</p>

		<ul>
			<li><a href="database/quick.html" title="Quick Start">Quick Start</a></li>
			<li><a href="database/configuration.html" title="Configuration">Database Configuration</a></li>
			<li><a href="database/connecting.html" title="Connecting to a Database">Connecting to a Database</a></li>
			<li><a href="database/queries.html" title="Running Queries">Running Queries</a></li>
			<li><a href="database/result.html" title="Generating Query Results">Generating Query Results</a></li>
			<li><a href="database/helpers.html" title="Query Helpers">Query Helpers</a></li>
			<li><a href="database/active_record.html" title="Active Record Class">Active Record Class</a></li>
			<li><a href="database/transactions.html" title="Transactins">Transactions</a></li>
			<li><a href="database/table_data.html" title="Table Meta Data">Table Meta Data</a></li>
			<li><a href="database/field_data.html" title="Field Meta Data">Field Meta Data</a></li>
			<li><a href="database/function_calls.html" title="Custom Function Calls">Custom Function Calls</a></li>
			<li><a href="database/caching.html" title="Caching">Caching</a></li>
			<li><a href="database/utilities.html" title="Database Utilities">Database Utilities</a></li>
		</ul>
	</div>

	<div class="content">
		<h1>Utilities</h1>

		<p>These are utilities that provide simple procedural functions for you to use.</p>

		<ul>
			<li><a href="utilities/array.html" title="Array">Array</a></li>
			<li><a href="utilities/directory.html" title="Directory">Directory</a></li>
			<li><a href="utilities/filesystem.html" title="Filesystem">Filesystem</a></li>
			<li><a href="utilities/form.html" title="form">Form</a></li>
			<li><a href="utilities/url.html" title="URL">URL</a></li>
			<li><a href="utilities/uuid.html" title="UUID">UUID</a></li>
			<li><a href="utilities/xml.html" title="XML">XML</a></li>
		</ul>
	</div>
</body>

</html>
